GET
/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/metadata
http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/metadataProvides metadata information about a custom vocabulary.
Access Token Required: API Key
Path Parameters
botIdstringrequired
The unique identifier of the bot that contains the custom vocabulary.
botVersionstringrequired
The bot version of the bot to return metadata for.
localeIdstringrequired
The locale to return the custom vocabulary information for. The locale must be <code>en_GB</code>.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/customvocabulary/DEFAULT/metadata' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}